List layers name in functions panel within "select by expression" dialog
Assignee:

Category: Expressions

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 19924

Description

Hi,

Many persons try to use geometric function provided in "select by expression" dialog or "field calculator"'s. But these functions are (or

were) quite limited because unless you use atlas'related functions, there was no way to use them among different layers (Or maybe, I

didn't find). It was a real lack.

With Brighton, Enrico Ferreguti released a plugin refFunctions that allows to use in the same request features from different layers with

functions like within, intersects and so on...

But I think to improve all this, it's necessary to offer to the user, a category that lists all the layers in the project. So with a double-click, he

can add it to the request (as it currently does with layer's field and other functions)

Associated revisions

Revision 878ee5c0 - 2017-07-31 12:08 AM - Nyall Dawson

Add items for project map layers and relations to expression builder

Allows easy insertion of map layer IDs and relation IDs into

expressions. Numerous expression functions now utilise these,

so it makes sense to allow them to be easily inserted.

Fix #11680, #16879

Sponsored by Andreas Neumann

Revision ae806ad1 - 2017-09-28 02:16 PM - Nyall Dawson

Add items for project map layers and relations to expression builder

Allows easy insertion of map layer IDs and relation IDs into

expressions. Numerous expression functions now utilise these,

so it makes sense to allow them to be easily inserted.

Fix #11680, #16879

Sponsored by Andreas Neumann

History

#1 - 2015-10-06 12:56 AM - Jürgen Fischer

- Category set to Expressions
#2 - 2015-10-09 07:06 PM - Nyall Dawson

- Priority changed from High to Low

#3 - 2015-10-09 07:06 PM - Nyall Dawson

- Target version changed from Future Release - High Priority to Future Release - Lower Priority

#4 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-08-01 11:30 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|878ee5c067b86defaaad0ad36c9af0b45b86aa95.
